#include<mgtk/slider.h>
#include<mgtk/pen.h>
#include<mgtk/text.h>
#include<stdio.h>

GPercentSlider::GPercentSlider(GRect * r,int percent)
    :GSlider(r,slider_Horizontal|slider_Solid,0,100,percent)
{
}

GPercentSlider::~GPercentSlider()
{
 this->GSlider::~GSlider();
}

void GPercentSlider::DrawWidget()
{
 int txt;
 GPen Pen(this);
 GSlider::DrawWidget();
 txt=(Size.x-(5*BIG_FONT_XSZ))>>1;
 sprintf(_txt,"%03u %%",GetCur());
 Pen.WriteText(txt,(Size.y-BIG_FONT_YSZ)>>1,_txt,5,0x10000080);
}

void GPercentSlider::HandleEvent(GEvent * event)
{
 /* Percent sliders can't be moved */
 if(event->evType==GEVENT_CLICK && event->type.mouse.bMouse==1) return
 GSlider::HandleEvent(event);
}
