#include<mgtk/button.h>
#include<mgtk/pen.h>
#include<mgtk/text.h>
#include<kos32sys.h>
#include"string.h"
#include<stdlib.h>

extern "C" char * strdup(char *);

GTextButton::GTextButton(GRect * r,char * _txt,int cmd)
	:GButton(r,bs_DontDraw,0,cmd)
{
 this->txt=strdup(_txt);
}

GTextButton::~GTextButton()
{
 free(this->txt);
 this->GButton::~GButton();
}

void GTextButton::DrawWidget()
{
 GPen Pen(this);
 GButton::DrawWidget();
 Pen.FillRect2(0,0,Size.x,Size.y,RGB(243,243,238));
 Pen.Rect(0,0,Size.x,Size.y,RGB(214,209,188));
 Pen.Rect(1,1,Size.x-1,Size.y-1,RGB(0,60,116));
 int l=strlen(txt);
 int px=(Size.x-2-(BIG_FONT_XSZ*l))/2;
 int py=(Size.y-2-BIG_FONT_YSZ)/2;
 Pen.WriteText(px,py,txt,l,0);
}
