#include<mgtk/button.h>
#include<mgtk/pen.h>
#include"images/checkbox.h"

GCheckBox::GCheckBox(GRect * r,bool _checked):GWidget()
{
 state=_checked;
 SetBounds(r);
}

GCheckBox::~GCheckBox()
{
}

void GCheckBox::HandleEvent(GEvent * event)
{
 GWidget::HandleEvent(event);
 if(IsDisabled()) return;
 if(event->evType==GEVENT_CLICK)
 {
  if(MouseInWidget(event->type.mouse.xMouse,event->type.mouse.yMouse))
  {
   state=state?false:true;
   if(state==true)
   {
    event->evType=GEVENT_COMMAND;
    event->type.command.evCommand=cm_Clicked;
    event->type.command.info=(void *)this;
   }
   Draw();
   return;
  }
 }
}

void GCheckBox::DrawWidget()
{
 GPen Pen(this);
 if(!IsDisabled())
 {
  Pen.FillRect2(2,2,9,9,RGB(255,255,255));
 }
 Pen.Rect3d(0,0,13,13,RGB(255,255,255));
 if(state==true)
 {
  Pen.PutImage(3,3,check_image_data.w,check_image_data.h,(char *)check_image_data.data);
 }
}

bool GCheckBox::Checked() { return state; }

void GCheckBox::Check(bool p)
{
 state=p;
}
