#!/bin/bash

app_name=main
path_to=/usr/local/kos32


kos32-gcc -c -std=c++11 -fomit-frame-pointer -I$path_to/sdk/newlib/libc/include -I$path_to/sdk/sources/newlib/libc/include -I/media/maxim/E22406D62406AE1B/KOLIBRI/libmgtk/include -I$path_to/sdk/sources/libstdc++-v3/include $app_name.cpp -o $app_name.o -Wall -Wextra

kos32-ld $app_name.o -o $app_name -call_shared -nostdlib --subsystem console -T $path_to/sdk/sources/newlib/app-dynamic.lds --image-base 0 -L $path_to/lib/ -L $path_to/sdk/lib -L $path_to/mingw32/lib -lgcc -lc.dll -lstdc++ -lsupc++ -lgcc -lc libmgtk.a

kos32-objcopy $app_name -O binary

sleep 100

exit 0
